Realtek Wifi card rtl8723be [10ec:b723] WiFi has an issue

Bug #1461174 reported by Tim Chen on 2015-06-02
94
This bug affects 12 people
Affects Status Importance Assigned to Milestone
HWE Next
Medium
AceLan Kao
linux (Ubuntu)
Medium
Unassigned

Bug Description

My WiFi has an issue.

---
ApportVersion: 2.14.1-0ubuntu3.7
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: u 1785 F.... pulseaudio
 /dev/snd/controlC0: u 1785 F.... pulseaudio
DistroRelease: Ubuntu 14.04
HibernationDevice: RESUME=UUID=c2a5715c-c92c-47fa-9aa2-c6f6e03f21bf
InstallationDate: Installed on 2015-06-09 (0 days ago)
InstallationMedia: Ubuntu 14.04.2 LTS "Trusty Tahr" - Release amd64 (20150218.1)
MachineType: Hewlett-Packard HP 455 G2
Package: linux (not installed)
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.16.0-30-generic root=UUID=97d2645a-a2be-49ec-b1bd-37c43ab4eeb1 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.16.0-30.40~14.04.1-generic 3.16.7-ckt3
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.16.0-30-generic N/A
 linux-backports-modules-3.16.0-30-generic N/A
 linux-firmware 1.127.11
Tags: trusty
Uname: Linux 3.16.0-30-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

_MarkForUpload: True
dmi.bios.date: 07/25/2014
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: M75 Ver. 01.06
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 2235
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 66.19
dmi.chassis.asset.tag: 73612P10CU
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvrM75Ver.01.06:bd07/25/2014:svnHewlett-Packard:pnHP455G2:pvrA3009CD10002:rvnHewlett-Packard:rn2235:rvrKBCVersion66.19:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP 455 G2
dmi.product.version: A3009CD10002
dmi.sys.vendor: Hewlett-Packard

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1461174

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: utopic
Changed in linux (Ubuntu):
importance: Undecided → Medium

apport information

tags: added: apport-collected trusty
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: bios-outdated-1.30
description: updated
summary: - Need support for Realtek Wifi card rtl8723be [10ec:b723] for 14.04.2
- (utopic LTS HWE stack)
+ 10ec:b723 WiFi has an issue

Tim Chen, as per http://h20565.www2.hp.com/hpsc/swd/public/readIndex?sp4ts.oid=6943835&swLangOid=8&swEnvOid=4158 an update to your computer's buggy and outdated BIOS is available (1.30). If you update to this following https://help.ubuntu.com/community/BIOSUpdate does it change anything?

If it doesn't, could you please both specify what happened, and provide the output of the following terminal command:
sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date

For more on BIOS updates and linux, please see https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette .

Please note your current BIOS is already in the Bug Description, so posting this on the old BIOS would not be helpful. As well, you don't have to create a new bug report.

Once the BIOS is updated, and the information above is provided, then please mark this report Status Confirmed.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Po-Hsu Lin (cypressyew) on 2015-06-12
summary: - 10ec:b723 WiFi has an issue
+ Realtek Wifi card rtl8723be [10ec:b723] WiFi has an issue
Po-Hsu Lin (cypressyew) wrote :

Hi,
as this bug is affecting many different platforms, I don't think it's a BIOS issue.

Verified on 201403-14879 - HP 355 G2 Notebook PC, with 14.04.2 stock image installed
The RTL8723BE wireless card is very unstable, it can connect to the Internet at the very beginning.
But stop working after a few minutes (still connected), the "mtr ubuntu.com" command shows the packet loss rate is over 90% in 4000 packets.

tags: added: blocks-hwcert
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: 201403-14879
Tim Chen (timchen119) wrote :

Please help to test this DKMS and I'll feedback to realtek that it's not working on the current Ubuntu and mainline kernel.

Hi

I did look into the bios to see that everything that might stop the
adapters working was enabled. As regards bios update when I visited HP's
support site no bios seemed available for an Ubuntu machine. There were
downloads for win 7, xp, vista etc. Perhaps this machine works better
with this older bios ?

Regards
Kevin
____________________________________________________________________

On Fri, 2015-06-12 at 06:02 +0000, Po-Hsu Lin wrote:
> Hi,
> as this bug is affecting many different platforms, I don't think it's a BIOS issue.
>
> Verified on 201403-14879 - HP 355 G2 Notebook PC, with 14.04.2 stock image installed
> The RTL8723BE wireless card is very unstable, it can connect to the Internet at the very beginning.
> But stop working after a few minutes (still connected), the "mtr ubuntu.com" command shows the packet loss rate is over 90% in 4000 packets.
>
> ** Tags added: blocks-hwcert
>
> ** Also affects: hwe-next
> Importance: Undecided
> Status: New
>
> ** Changed in: linux (Ubuntu)
> Status: Incomplete => Confirmed
>
> ** Tags added: 201403-14879
>

Po-Hsu Lin (cypressyew) wrote :

Verified with the DKMS provided in comment #20, it looks good!
tested with the "mtr ubuntu.com" command, with ~24500 packet sent, loss rate ~0.0%
Thanks.

Keng-Yu Lin (lexical) on 2015-06-18
Changed in hwe-next:
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Adam Lee (adam8157)
Adam Lee (adam8157) wrote :

Realtek wifi adapter has bad compatibility, different hardware revisions might need different driver config. All we could do now is rebase to the latest on every new release, backporting is not safe. Unassign myself.

Changed in hwe-next:
assignee: Adam Lee (adam8157) → nobody
Po-Hsu Lin (cypressyew) wrote :

This wireless card does not work on Vivid as well (very unstable, high drop rate with mtr test)
The DKMS file failed to build on Vivid (3.19.0-21)

tags: added: vivid
Keng-Yu Lin (lexical) on 2015-07-06
Changed in hwe-next:
assignee: nobody → Jesse Sung (wenchien)
Kai Petzke (petzke) wrote :

Just a short note: I have problems, too, with this card on Vivid. Usually, in less than one hour after going online the connection just gets stuck. Sometimes, the connection recovers after a few seconds or minutes, and data flows again. Sometimes it doesn't until the wireless is switched off and on, or the machine is rebooted. The behaviour is very erratic and random. When the connection is stuck, turning the wireless off via kubuntu's NetworkManager graphical client takes quite some time (10 seconds or so).

Fortunately, loading the driver with the option fwlps=0 solved the issue for me! Since I wrote the line:
    options rtl8723be fwlps=0
into the file /etc/modprobe.d/rtl8723be.conf , I've had 36 hours of trouble-free wireless experience. As it was hard to survive 36 minutes online before without that line, this is already a great improvement for me!

Apart from the unstable WiFi, I was also fighting with unstable suspend-to-RAM on my Laptop (Lenovo Yoga 2 with 13 inch screen). Once in a while, the computer would just crash or hang, when turned to suspend-to-RAM by closing the display. In that state it still consumes battery, so the CPU is not turned off correctly then. When re-opened later, the display stays dark. That problem has also disappeared since I added the beforementioned option to the rtl8732be driver.

So I assume from my observations, that with fwlps=1 (the default), the driver or the card or both after some time get into an inconsistent state with the following symptoms:
A) No more packets are received and/or transmitted
B) Turning off the wireless LAN and unloading the driver takes a rather long time (a few seconds instead of a fraction of a second)
C) suspend-to-RAM crashes or fails, and leaves the laptop in an unusable state (display off)

svenmeier (sven-meiers) wrote :

@petzke
I've tried all different driver options on my Yoga 2 13. Although wifi stability improved, I was never able to achieve fully reliable connection at all times. I've switched to an Intel ac wifi card recently, and wifi is much better now (although still not 100% reliable, but that's another driver's problem).

I had problems with suspend-to-ram too, but the situation has improved: I'd praise kernel updates for this improvement. But regretfully I can't say, whether changing the wifi card might have something to do with it.

Hope this helps.

Kai Petzke (petzke) wrote :

I must also say, that my hope, that the wife problem has been solved with fwlps=0, was wrong. I can now even reliably crash my laptop with the following procedure:

* Wait till WiFi gets stuck
* Turn off (soft kill) WiFi via KDE's network manager client
* sudo rmmod rtl8723be
* sudo modprobe rtl8723be
* Turn on WiFi again via KDE.

At the very moment of the mouse click to turn on WiFi, the screen freezes.

In the attached log file, the times are as follows:
* Turn off WiFi: 18:34:58
* rmmod: 18:35:13
* modprobe: 18:35:36
* Turn on WiFi: 18:38:17

Kai Petzke (petzke) wrote :
Download full text (3.9 KiB)

To get the dkms from #20 running on the linux kernel of Vivid, I did the following changes:

diff -ruN realtek-rtlwifi-0020.1030.2014V676.P1/base.c realtek-rtlwifi-0020.1030.2014V676.P1kai/base.c
--- realtek-rtlwifi-0020.1030.2014V676.P1/base.c 2015-06-09 11:10:51.000000000 +0200
+++ realtek-rtlwifi-0020.1030.2014V676.P1kai/base.c 2015-07-14 19:16:25.519536786 +0200
@@ -2088,7 +2088,7 @@
        unsigned long val;
        int ret;

- ret = strict_strtoul(buf, 0, &val);
+ ret = kstrtoul(buf, 0, &val);
        if (ret) {
                RT_TRACE(rtlpriv, COMP_ERR, DBG_DMESG,
                        "%s is not in hex or decimal form.\n", buf);
diff -ruN realtek-rtlwifi-0020.1030.2014V676.P1/btcoexist/halbtc8812a_ext.c realtek-rtlwifi-0020.1030.2014V676.P1kai/btcoexist/halbtc8812a_ext.c
--- realtek-rtlwifi-0020.1030.2014V676.P1/btcoexist/halbtc8812a_ext.c 2015-06-09 11:10:51.000000000 +0200
+++ realtek-rtlwifi-0020.1030.2014V676.P1kai/btcoexist/halbtc8812a_ext.c 2015-07-14 20:11:54.573400292 +0200
@@ -654,12 +654,11 @@
        iov.iov_len = msg_size;
        udpmsg.msg_name = &pcoex_info->bt_addr;
        udpmsg.msg_namelen = sizeof(struct sockaddr_in);
- udpmsg.msg_iov = &iov;
- udpmsg.msg_iovlen = 1;
        udpmsg.msg_control = NULL;
        udpmsg.msg_controllen = 0;
        udpmsg.msg_flags = MSG_DONTWAIT | MSG_NOSIGNAL;
        udpmsg.msg_flags = 0;
+ iov_iter_init(&udpmsg.msg_iter, WRITE, &iov, 1, msg_size);
        oldfs = get_fs();
        set_fs(KERNEL_DS);
        error = sock_sendmsg(pcoex_info->udpsock,
&udpmsg, msg_size);

With these two changes, I was able to compile the kernel modules fine. Fortunately, the modified driver also loads fine after rebooting. And it connects to my company WiFi. But besides than that, the driver doesn't bring any improvement. So WiFi still hangs and the system still crashes after module unload + reload. The crash is even at the same code position:
    halbtc_get_rfreg+0x23/0x30 [btcoexist]
Of course, the exact binary address is different, as the RTL modules from the DKMS are of different size, so loaded to different physical addresses. But the crash still appears at the beginning of the function halbtc_get_rfreg in the module btcoexist.

As "btcoexist" probably means "Bluetooth Co-Exist", I experimented with turning bluetooth completely off via:
    rfkill
    service bluetooth stop
    rmmod everything, that looked like bluetooth
After that, the system no longer crashes after unload and reinsert of the rtl8723be module. So the crash (which still needs to be fixed!) and the WiFi getting stuck might be unrelated.

I did a few more experiments with the "new" driver from post #20 with different access points:
* Connect to a FritzBox 7490 works
* Data transfer to that FritzBox fails from the very beginning, though....

Read more...

Sayantan Das (sayantan13) wrote :

My 2 cents on this dreaded wifi+bt card.

My system: Lenovo Flex 2 - intel i5 + 8GB RAM
Ubuntu version: 15.04 (clean install)

Previously when I was on 14.04 LTS, I had to create a rtl8723be.conf file and add the options to make my system stable.

I did a clean install of UBuntu 15.04 a couple of days back. After which, I am able to connect to the wifi network without any extra setting. I made a few changes to wifi router though (Dlink N router)

1. Set channel to 1
2. Set frequency to 2.4GHZ
3. Set encryption to WPA+AES

I have a stable connection, with no drops .

I have a few issues though.
1. The wifi never connects when laptop is woken up ffrom sleep. Needs a reboot
2. The wifi never connects to router when signal strength is less than 50%

Kai Petzke (petzke) wrote :

Weird enough, this card has given me much less trouble in the last weeks than it used to. Since the update to 3.19.0-23-generic , I did not have any hang anymore.

Changed in hwe-next:
assignee: Jesse Sung (wenchien) → Adam Lee (adam8157)
assignee: Adam Lee (adam8157) → nobody
Keng-Yu Lin (lexical) on 2015-11-10
Changed in hwe-next:
assignee: nobody → AceLan Kao (acelankao)
Kai Petzke (petzke) wrote :

Since I wrote comment #30, I've had three or four hangs. Much better than before, but not 100% trouble free either.

On Ubuntu 14.04 I can confirm that the following command seems to fix any issues about random dropping connection:

echo "options rtl8723be fwlps=N ips=N" | sudo tee /etc/modprobe.d/rtl8723be.conf

marco.pallotta, it will help tremendously if you filed a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

Hi Christopher,

I filed a new bug report as you suggested to me (https://bugs.launchpad.net/ubuntu/+source/linux-lts-vivid/+bug/1532357).

Peter Ludwig (peter-ludwig) wrote :
Download full text (7.8 KiB)

I know this thread is now two years old but the problem with this hardware almost drove me nuts ...

I am here on a HP Pavilion Laptop with beatsaudio. No Model Number - nothing.

The Wifi card is: (in Germany!)

--------------------------------------

 lspci -nn | grep -iA2 net
02:00.0 Network controller [0280]: Realtek Semiconductor Co., Ltd. RTL8723BE PCIe Wireless Network Adapter [10ec:b723]

--------------------------------------

I am now under kernel:
4.4.0-21-generic

-------------------------------------

Before I tried everything I could find to get my wifi up but I do not even see one spot. So no connection at all. I even cloned git and compiled the driver - which worked fine.

By the way the BT seems to be fine - although I have not checked cause I do not need BT.

---------------------------------------------
Here is what I tried:

rfkill list all; hciconfig -a
0: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
hci0: Type: BR/EDR Bus: USB
 BD Address: 2C:33:7A:3F:E4:3E ACL MTU: 820:8 SCO MTU: 255:16
 UP RUNNING PSCAN
 RX bytes:1327 acl:0 sco:0 events:139 errors:0
 TX bytes:25058 acl:0 sco:0 commands:139 errors:0
 Features: 0xff 0xff 0xff 0xfe 0xdb 0xff 0x7b 0x87
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy: RSWITCH HOLD SNIFF PARK
 Link mode: SLAVE ACCEPT
 Name: 'mint-0'
 Class: 0x740100
 Service Classes: Rendering, Object Transfer, Audio, Telephony
 Device Class: Computer, Uncategorized
 HCI Version: 4.0 (0x6) Revision: 0xe2f
 LMP Version: 4.0 (0x6) Subversion: 0x9f73
 Manufacturer: Realtek Semiconductor Corporation (93)

-------------------------------------

I added the options sugested in rtl8723be.conf

options rtl8723be fwlps=0 swlps=0

But this did not help either.

--------------------------------------

lsmod reports:

rfcomm 69632 12
rtl8723be 139264 0
btcoexist 180224 1 rtl8723be
rtl_pci 40960 1 rtl8723be
rtlwifi 98304 3 btcoexist,rtl_pci,rtl8723be
hp_wmi 16384 0
mac80211 733184 3 rtl_pci,rtlwifi,rtl8723be
sparse_keymap 16384 1 hp_wmi
kvm 532480 0
irqbypass 16384 1 kvm
btusb 45056 0
crct10dif_pclmul 16384 0
btrtl 16384 1 btusb
btbcm 16384 1 btusb
...

-------------------------------------------------------

dmesg | grep rtl reports:

[ 8.982260] Bluetooth: hci0: rtl: examining hci_ver=06 hci_rev=000b lmp_ver=06 lmp_subver=8723
[ 8.982262] Bluetooth: hci0: rtl: loading rtl_bt/rtl8723b_fw.bin
[ 9.064265] rtlwifi: module verification failed: signature and/or required key missing - tainting kernel
[ 9.403770] Using firmware rtlwifi/rtl8723befw.bin
[ 9.404023] rtlwifi: channel plan 0x20
[ 9.404027] rtlwifi: country code 11
[ 9.422483] ieee80211 phy0: Selected rate control algorithm 'rtl_rc'
[ 9.423458] rtlwifi: wireless switch is on

--------------------------------------------------------

modinfo rtl8723be

filename: /lib/modules/4.4.0-21-generic/kernel/drivers/net/wireless/realtek/rtlwifi/rt...

Read more...

Podsgrove (podsgrove) wrote :
Download full text (10.7 KiB)

I still have the original problem I reported:
Wifi works fine with original HP set up of computer but will not work
if I try to install any other Debian/Ubuntu based OS or update Ubuntu
to latest version.
HP have obviously tweaked the installed version somehow to make it
work.
A Puppy Linux derivative worked as did Console Linux but they are the
only ones I have found so far.
My computer is an HP 455G2 with realtek RTL8723BE wifi, purchased with
Ubuntu 12.04 installed

Podsgrove
 Sent using Hushmail
On 09/05/2016 at 8:16 PM, "Peter Ludwig" wrote:I know this thread is
now two years old but the problem with this
hardware almost drove me nuts ...

I am here on a HP Pavilion Laptop with beatsaudio. No Model Number -
nothing.

The Wifi card is: (in Germany!)

--------------------------------------

 lspci -nn | grep -iA2 net
02:00.0 Network controller [0280]: Realtek Semiconductor Co., Ltd.
RTL8723BE PCIe Wireless Network Adapter [10ec:b723]

--------------------------------------

I am now under kernel:
4.4.0-21-generic

-------------------------------------

Before I tried everything I could find to get my wifi up but I do not
even see one spot. So no connection at all. I even cloned git and
compiled the driver - which worked fine.

By the way the BT seems to be fine - although I have not checked cause
I
do not need BT.

---------------------------------------------
Here is what I tried:

rfkill list all; hciconfig -a
0: hci0: Bluetooth
 Soft blocked: no
 Hard blocked: no
1: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
hci0: Type: BR/EDR Bus: USB
 BD Address: 2C:33:7A:3F:E4:3E ACL MTU: 820:8 SCO MTU: 255:16
 UP RUNNING PSCAN
 RX bytes:1327 acl:0 sco:0 events:139 errors:0
 TX bytes:25058 acl:0 sco:0 commands:139 errors:0
 Features: 0xff 0xff 0xff 0xfe 0xdb 0xff 0x7b 0x87
 Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3
 Link policy: RSWITCH HOLD SNIFF PARK
 Link mode: SLAVE ACCEPT
 Name: 'mint-0'
 Class: 0x740100
 Service Classes: Rendering, Object Transfer, Audio, Telephony
 Device Class: Computer, Uncategorized
 HCI Version: 4.0 (0x6) Revision: 0xe2f
 LMP Version: 4.0 (0x6) Subversion: 0x9f73
 Manufacturer: Realtek Semiconductor Corporation (93)

-------------------------------------

I added the options sugested in rtl8723be.conf

options rtl8723be fwlps=0 swlps=0

But this did not help either.

--------------------------------------

lsmod reports:

rfcomm 69632 12
rtl8723be 139264 0
btcoexist 180224 1 rtl8723be
rtl_pci 40960 1 rtl8723be
rtlwifi 98304 3 btcoexist,rtl_pci,rtl8723be
hp_wmi 16384 0
mac80211 733184 3 rtl_pci,rtlwifi,rtl8723be
sparse_keymap 16384 1 hp_wmi
kvm 532480 0
irqbypass 16384 1 kvm
btusb 45056 0
crct10dif_pclmul 16384 0
btrtl 16384 1 btusb
btbcm 16384 1 btusb
...

-------------------------------------------------------

dmesg | grep rtl reports:

[ 8.982260] Bluetooth: hci0: rtl: examining hci_ver=06 hci_rev=000b
lmp_ver=06 lmp_subver=8723
[ 8.982262] Bluetooth: hci0: rtl: loading rt...

Peter Ludwig / Podsgrove, it will help tremendously if you filed a new report via a terminal:
ubuntu-bug linux

Please feel free to subscribe me to it.

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs.

Changed in hwe-next:
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.